> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/ja/sdk/2026-nian-9-yue/pusshupurobijoninguclassicandroid-v200.md).

# プッシュプロビジョニング（Classic）Android v2.0.0

### 対応プラットフォームとプロセッサアーキテクチャ

* Android 8.1.0 以降
* アーキテクチャ: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

### 新機能

#### Google Unified Push Provisioning

{% hint style="warning" %}
Google は Unified Push Provisioning（UPP）のサポートを義務付けています。

TSP OPC のみのプロビジョニングは、もはやサポートされていません。

詳細については、次を参照してください: [https://developers.google.com/pay/イシュア/apis/push-provisioning/android/upgrade\_to\_upp](https://developers.google.com/pay/issuers/apis/push-provisioning/android/upgrade_to_upp?authuser=1)
{% endhint %}

* Google Unified Push Provisioning のサポートを追加。
* Bounce プロビジョニングのサポートを追加します。
* 新しいクラスを追加: `Googleプロビジョニング結果` Google Pay のカード保存状態を取得するため。

### 改善点

* 削除 `OEMPayType.NONE`. `OEMPayType` OEM Wallet のプロビジョニング操作を実行する場合にのみ、現在は設定する必要があります。
* 非推奨の API を削除する `PushProvisioning.addCard(CardInfo cardInfo, String publicKeyId, boolean tcsAccepted, CallbackObject callbackObject, String pushHandler, TPCSDKListener listener)` API。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payments.thalescloud.io/release-notes/ja/sdk/2026-nian-9-yue/pusshupurobijoninguclassicandroid-v200.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
